IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Installation Firebird Discussion :

Problème d'installation Firebird


Sujet :

Installation Firebird

  1. #1
    Candidat au Club
    Femme Profil pro
    Développeur informatique
    Inscrit en
    Février 2024
    Messages
    4
    Détails du profil
    Informations personnelles :
    Sexe : Femme
    Localisation : France, Nièvre (Bourgogne)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Enseignement

    Informations forums :
    Inscription : Février 2024
    Messages : 4
    Points : 3
    Points
    3
    Par défaut Problème d'installation Firebird
    Bonjour à tous.tes,
    J'essaie de me mettre à Firebird mais j'ai quelques difficultés avec :

    Firebird 5 x64
    Mode SuperServeur
    Utiliser le Guardian
    Exécuter en tant qu'application (J'ai essayé en mode Service également)
    Copier la bibliothèque client dans System
    Générer la bibliothèque...

    FlameRobin 0.9.9 n'arrive pas à trouver localhost :
    "Le nom spécifié n'a pas été trouvé dans le fichier hosts ou DNS"

    Il me semblait que le Guardian s'affichait dans le panneau de config, mais je ne le voit pas. De toute façon, en tant que Service, j'ai le même problème.
    Quelqu'un saurait il m'aider ?

    D'avance merci

  2. #2
    Rédacteur/Modérateur

    Avatar de SergioMaster
    Homme Profil pro
    Développeur informatique retraité
    Inscrit en
    Janvier 2007
    Messages
    15 031
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 67
    Localisation : France, Loire Atlantique (Pays de la Loire)

    Informations professionnelles :
    Activité : Développeur informatique retraité
    Secteur : Industrie

    Informations forums :
    Inscription : Janvier 2007
    Messages : 15 031
    Points : 40 930
    Points
    40 930
    Billets dans le blog
    62
    Par défaut
    Bonjour et bienvenue

    Citation Envoyé par JacDaum Voir le message
    Il me semblait que le Guardian s'affichait dans le panneau de config, mais je ne le vois pas. De toute façon, en tant que Service, j'ai le même problème.
    Non, il s'agissait d'un lanceur et moi, cela fait longtemps que je ne l'ai vu.
    Le guardian, comme le serveur, se trouvent dans les services

    ci-dessous sur ce poste les versions 3 avec guardian et 4 sans.
    Nom : Capture.PNG
Affichages : 110
Taille : 42,1 Ko

    le programme d'installation, fait, en général, tout le travail et se passe correctement s'il n'y a pas de concurrence sur le même port (interbase ou autre version de firebird)

    Pour ce qui est de flamerobin, tout dépend ensuite du port, par défaut localhost est sur le 3050 s'il est déjà utilisé, ça plante. Dans ce cas-là, déclarer un autre serveur suffit

    en exemple : flamerobin sur mon poste, les non cachés sont tous sur mon réseau
    Nom : Capture.PNG
Affichages : 106
Taille : 2,5 Ko
    à noter : localhost (FB3) et localhost4 (FB4) qui sont tous les deux en ip 127.0.0.1 mais avec des ports différents 3050 et 3054 (non je n'ai pas encore mis la version 5 sur ce poste (enfin si mais sur une machine virtuelle et n'ai pas encore fait le nécessaire pour l'ajouter.
    Attention aussi au firebird.conf de chacune des versions, pas mal d'options depuis la version 4 sont à vérifier et peut-être modifier pour avoir le comportement d'un habitué d'une version 2.5 par exemple
    MVP Embarcadero
    Delphi installés : D3,D7,D2010,XE4,XE7,D10 (Rio, Sidney), D11 (Alexandria), D12 (Athènes)
    SGBD : Firebird 2.5, 3, SQLite
    générateurs États : FastReport, Rave, QuickReport
    OS : Window Vista, Windows 10, Windows 11, Ubuntu, Androïd

  3. #3
    Candidat au Club
    Femme Profil pro
    Développeur informatique
    Inscrit en
    Février 2024
    Messages
    4
    Détails du profil
    Informations personnelles :
    Sexe : Femme
    Localisation : France, Nièvre (Bourgogne)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Enseignement

    Informations forums :
    Inscription : Février 2024
    Messages : 4
    Points : 3
    Points
    3
    Par défaut
    Merci pour ces infos très intéressantes Master Sergio

    Je suis bien incapable de dire comment j'ai fait, mais ça a l'air de marcher.
    Par contre je n'arrive pas à ouvrir d'anciennes bases de données crées en 2.5. Mais c'est peut-être que les login/mots de passe ne sont pas ceux par défaut :

    "Your user name and password are not defined. Ask your database administrator to set up a Firebird login."

    N'y a t-il pas un moyen de passer outre ou de les récupérer ?

  4. #4
    Membre confirmé
    Profil pro
    Inscrit en
    Avril 2010
    Messages
    245
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : Avril 2010
    Messages : 245
    Points : 534
    Points
    534
    Par défaut
    Bonjour,
    Citation Envoyé par JacDaum Voir le message
    Par contre je n'arrive pas à ouvrir d'anciennes bases de données crées en 2.5. Mais c'est peut-être que les login/mots de passe ne sont pas ceux par défaut :
    "Your user name and password are not defined. Ask your database administrator to set up a Firebird login."
    Firebird 2.5 utilise la structure (On Disk Struture) ODS=11.x
    Firebird 3, ODS = 12,
    Firebird 4, ODS = 13
    Firebird 5, ODS = 13.1
    Il y a une compatibilité partielle entre 2 versions si les indices entiers de l'ODS sont les mêmes (sous réserve d'incompatibilité de certaines fonctions, procédures...).
    Ainsi de FB2 à FB2.5 la version supérieure pouvait se connecter à une version inférieure, mais ce n'est pas réciproque, et à la première restauration, la base prend l'ODS de la nouvelle version.
    Idem entre FB4 et FB5.
    Mais si les versions majeures de l'ODS sont différentes, il faut sauvegarder (backup) les bases avec la version inférieure, et les restaurer avec la version supérieure.
    D'où ma question: lorsque vous dites "je n'arrive pas à ouvrir d'anciennes bases de données crées en 2.5.", cherchez-vous à ouvrir directement votre base au format FB2.5 (donc ODSmajeure=11), ou les bases ont-elles été migrées comme indiqué?

    André

    PS: autre point que j'ai pu constater dernièrement en mettant à jour la version serveur de FB3.0.11, le mot de passe de SYSDBA était réinitialisé en masterkey (ou masterke , à vérifier car je crois me souvenir de ce changement lors de la sortie de FB3).

  5. #5
    Candidat au Club
    Femme Profil pro
    Développeur informatique
    Inscrit en
    Février 2024
    Messages
    4
    Détails du profil
    Informations personnelles :
    Sexe : Femme
    Localisation : France, Nièvre (Bourgogne)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Enseignement

    Informations forums :
    Inscription : Février 2024
    Messages : 4
    Points : 3
    Points
    3
    Par défaut
    Bonjour alanglet et merci pour ces infos.
    J'essaie d'ouvrir des bases créées en 2.5, avec la version 5 installée sur mon poste.

  6. #6
    Membre confirmé
    Profil pro
    Inscrit en
    Avril 2010
    Messages
    245
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : Avril 2010
    Messages : 245
    Points : 534
    Points
    534
    Par défaut
    Si je vous ai posé une question, c'était parce que dire que la base a été "créée" avec FB2.5 ne signifie pas qu'elle utilise encore la structure de FB2.5. J'ai ainsi des bases créées avec FB2.0 qui par des migrations successives utilisent maintenant la structure de FB3.0. Je suppose donc que vos bases utilisent toujours la structure ODS=11 de FB2.5.
    Dans ce cas, YAPUKA trouver une installation avec FB2.5 (ou la créer, FB2.5 est toujours disponible sur le site de Firebird) pour faire un backup de vos bases afin de pouvoir les restaurer avec FB5.0
    Vous pouvez aussi faire une petite application de sauvegarde avec FB2.5 embedded dans le même répertoire.
    Je n'ai pas essayé mais je me demande si une copie du répertoire de FB2.5 embedded (fbembed.dll renommé fbclient.dll) dans le répertoire de FlamRobin ne suffirait pas (de mêmes versions 32b ou 64b).

    André

  7. #7
    Membre confirmé
    Profil pro
    Inscrit en
    Avril 2010
    Messages
    245
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : Avril 2010
    Messages : 245
    Points : 534
    Points
    534
    Par défaut
    Bonjour,

    En cherchant un peu sur internet Firebird-ODS-11-to-12-converter vous trouverez un outil en ligne de commande permettant de migrer une base de FB2.5 à FB3.0.
    Il ne devrait pas être trop difficile de le convertir en ODS-11-to-13.

    André

Discussions similaires

  1. [FB 2.0] Installation Firebird 2.0 PPC à partir des sources
    Par grabriel dans le forum Installation
    Réponses: 4
    Dernier message: 13/11/2007, 14h37
  2. Comment installer FireBird ?
    Par colorid dans le forum Installation
    Réponses: 3
    Dernier message: 08/11/2007, 16h53
  3. Installation Firebird 2.0 client sur W95
    Par SergioMaster dans le forum Installation
    Réponses: 3
    Dernier message: 23/08/2007, 10h57
  4. Information sur ma peudo-install Firebird superserver !
    Par QAYS dans le forum Installation
    Réponses: 10
    Dernier message: 11/09/2006, 15h46
  5. Installation firebird et prog
    Par jmjmjm dans le forum Outils
    Réponses: 2
    Dernier message: 27/11/2005, 12h31

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo